Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.listeners
Class NotifiedMethodInvocationReport

    java.lang.Object
      org.mockito.internal.listeners.NotifiedMethodInvocationReport

All Implemented Interfaces:
  MethodInvocationReport

    public class NotifiedMethodInvocationReport

extends java.lang.Object
implements MethodInvocationReport

Report on a method call

Constructor Summary
`NotifiedMethodInvocationReport(Invocation invocation, java.lang.Object returnedValue)` Build a new `MethodInvocationReport` with a return value.
`NotifiedMethodInvocationReport(Invocation invocation, java.lang.Throwable throwable)` Build a new `MethodInvocationReport` with a return value.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`DescribedInvocation` | `getInvocation()` The return type is deprecated, please assign the return value from this method to the `DescribedInvocation` type.
`java.lang.String` | `getLocationOfStubbing()`
`java.lang.Object` | `getReturnedValue()`
`java.lang.Throwable` | `getThrowable()`
`int` | `hashCode()`
`boolean` | `threwException()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifiedMethodInvocationReport

    public NotifiedMethodInvocationReport(Invocation invocation,
                                          java.lang.Object returnedValue)

  Build a new `MethodInvocationReport` with a return value.

  Parameters:
    `invocation` - Information on the method call
    `returnedValue` - The value returned by the method invocation

### NotifiedMethodInvocationReport

    public NotifiedMethodInvocationReport(Invocation invocation,
                                          java.lang.Throwable throwable)

  Build a new `MethodInvocationReport` with a return value.

  Parameters:
    `invocation` - Information on the method call
    `throwable` - Tha throwable raised by the method invocation

Method Detail

### getInvocation

    public DescribedInvocation getInvocation()

  Description copied from interface: `MethodInvocationReport`
  The return type is deprecated, please assign the return value from this method to the `DescribedInvocation` type. Sorry for inconvenience but we had to move `PrintableInvocation` to better place to keep the API consistency.

  Specified by:
    `getInvocation` in interface `MethodInvocationReport`
  Returns:
    Information on the method call, never `null`

### getReturnedValue

    public java.lang.Object getReturnedValue()

  Specified by:
    `getReturnedValue` in interface `MethodInvocationReport`
  Returns:
    The resulting value of the method invocation, may be `null`

### getThrowable

    public java.lang.Throwable getThrowable()

  Specified by:
    `getThrowable` in interface `MethodInvocationReport`
  Returns:
    The throwable raised by the method invocation, maybe `null`

### threwException

    public boolean threwException()

  Specified by:
    `threwException` in interface `MethodInvocationReport`
  Returns:
    `true` if an exception was raised, `false` otherwise

### getLocationOfStubbing

    public java.lang.String getLocationOfStubbing()

  Specified by:
    `getLocationOfStubbing` in interface `MethodInvocationReport`
  Returns:
    Location of the stub invocation

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD